Mac OS X 10.6 (Snow Leopard)

Mac OS X 10.6 (Snow Leopard), the latest version of the Macintosh Operating System, was released by Apple in August 2009. This version requires and Intel processor. It is an update to OS 10.5 (Leopard) and offers speed enhancements and Exchange 2007 support to the Apple suite of applications (Mail, iCal, Address Book).

Clemson University does not have a site license but users can purchase the media from the Clemson University Apple Store.

Mac OS X 10.6 (Snow Leopard) Application Compatibility Matrix

Software Fully Compatible  Comments
Address Book Yes Exchange 2007 supported only. Will not work with Exchange 2003 accounts.
Adium Yes
Adobe Acrobat Standard Yes
Adobe Acrobat Professional Yes
Adobe Acrobat Connect Yes
Adobe Flash Player Yes
Adobe Illustrator CS3 No Adobe is not supporting CS 3 or earlier versions on Snow Leopard.
Adobe InDesign CS3 No Adobe is not supporting CS 3 or earlier versions on Snow Leopard.
Adobe Photoshop CS3 No Adobe is not supporting CS 3 or earlier versions on Snow Leopard.
Adobe Illustrator CS4 Yes
Adobe InDesign CS4 Yes
Adobe Photoshop CS4 Yes
Apple Disk Utility Yes
Apple File Protocol Network Access Yes
Apple Final Cut Pro Yes
Apple GarageBand Yes
Apple iDVD
Yes
Apple iMovie
Yes
Apple iPhoto
Yes
Apple iTunes Yes
Apple iWeb
Yes
Apple Keynote
Yes
Apple Mail 4.0 Yes Exchange 2007 supported only. Will not work with Exchange 2003 accounts.
Apple Numbers
Yes
Apple Pages
Yes
Apple Remote Desktop 3.3 Yes
Apple Quicktime X Yes
Apple Time Machine Yes
Blackboard Web System Yes
Cisco VPN Client 4.91 Yes Requires re-installation after performing an upgrade to Snow Leopard
Cisco VPN Web Client No Only work via Windows
Fetch Yes
FireFox 3.5 Yes
Flip4Mac WMV Player Yes
Graphic Converter Yes
iCal Yes Exchange 2007 supported only. Will not work with Exchange 2003 accounts.
iChat Yes
IUADMIN web Yes
Safari 4.0 Yes
Maple Yes
MathType Yes
Matlab Yes
McAfee Security 1.0 Yes
McAfee VirusScan for Mac 8.6 No Recommend upgrade to McAfee Security 1.0
Microsoft Office 2008 Yes
Native File Access Yes
NetStorage No Issues with downloading files
Novell iPrint Client 4.40 Yes Issue with creating a new Plotter queue. Existing queues will function.
Parallels 4.0 Yes
SPSS 17 No
SPSS 18 Yes
VMware Fusion Yes
CU Wireless Installer Yes
CU Mac Software Installer Yes
CU Vista OS Installer for Mac Yes Apple hardware issued after September 2009 may have issues with Bootcamp version in the Vista image.
Native VPN (IPsec) Connection Yes
Native VPN (PPTP) Connection Yes

Sources
Internal testing via CCIT Mac Support Team
http://www.macintouch.com/specialreports/snowleopard/slcompat.html
http://snowleopard.wikidot.com
http://blogs.adobe.com/jnack/files/Adobe-SnowLeopard_FAQ.pdf